package com.xkrs.newpro.service.impl;

import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.newpro.dao.QcItemDao;
import com.xkrs.newpro.model.entity.QcItemEntity;
import com.xkrs.newpro.model.qo.QcItemQoInsert;
import com.xkrs.newpro.model.qo.QcItemQoUpdate;
import com.xkrs.newpro.service.QcItemService;
import com.xkrs.newpro.utils.LocalDateUtils;
import org.springframework.context.i18n.LocaleContextHolder;

import javax.annotation.Resource;
import java.util.Locale;
import java.util.Optional;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

public class QcItemServiceImpl implements QcItemService {

    private Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private QcItemDao qcItemDao;

    /**
     * 添加质检项
     */
    @Override
    public String insertQcItem(QcItemQoInsert insertQo) {

        String no = insertQo.getNo();
        String name = insertQo.getName();
        String type = insertQo.getType();

        Optional<QcItemEntity> entityByNo = qcItemDao.findByNo(no);
        if (entityByNo.isPresent()) {
            return outputEncapsulationObject(PromptMessageEnum.DATA_EXIT, "该检验项目已存在，请勿重复添加！", locale);
        }

        QcItemEntity entity = new QcItemEntity();
        entity.setCreateTime(LocalDateUtils.getFormatDateToSecond());
        entity.setUpdateTime("");
        entity.setNo(no);
        entity.setName(name);
        entity.setType(type);
        qcItemDao.save(entity);

        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "添加成功！", locale);
    }

    @Override
    public String updateQcItem(QcItemQoUpdate updateQo) {
        return null;
    }
}
